<app-loading *ngIf="isLoading"></app-loading>
<div class="form-system-allocation">
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30, 10]">
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-select formControlName="periodId" [mbDataSelects]="dataAssessmentPeriod" [mbShowSearch]="false"
                   mbLabelText="{{'goaManagement.system-allocation.label.attribute.CodeAllocation' | translate}}" mbKeyLabel="periodName"
                   mbKeyValue="periodId">
        </mb-select>
      </div>

    </div>
  </form>
</div>

<div class="content">
  <section>
    <h3>{{'goaManagement.classification-blocks-and-lines.label.attribute.classification-blocks-line' | translate}}</h3>
  </section>
  <section *ngIf="lanes && lanes[0]?.isEdit">
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'common.button.uploadFile' | translate}}" mbButtonTextColor="#141ED2"
               (click)="showModalUploadFile(footerTmplUploadFile)"
               *ngIf="objFunction?.import">
    </mb-button>
    <mb-button
      mbButtonSize='MEDIUM'
      mbButtonAvailableStyle='PRIMARY'
      mbButtonText="{{'common.button.saveS' | translate}}"
      (click)="confirmApprovalSave(footerTmplShowModalConfirmSave)"
      *ngIf='objFunction?.create'
    ></mb-button>
  </section>

</div>

<div class="d-flex wrap-list-column" cdkDropListGroup>
  <div
    class="board-dnd-list"
    hcm-mfe-board-dnd-list
    *ngFor="let lane of lanes"
    [lane]="lane"
    [lanes]="lanes"
    (isShowModalEvent)="showModalItem($event, footerTmplShowTable)"
    (isChangeDropListLands)="updateDropColumn($event)"
    [policy]="objFunction?.create"
  >
  </div>
</div>

<ng-template #footerTmplShowTable>
  <section class="flex-footer__uploadfile">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="modalRef.getContentComponent().save(modalRef)"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.saveS' | translate}}"></mb-button>
    <mb-button mbButtonAvailableStyle="BtnCancelHasBorder"
               mbButtonText="{{'targerManager.button.btnCancel' | translate}}" (click)="modalRef?.destroy()"
               class="flex-footer__uploadfile--button-left"></mb-button>
  </section>
</ng-template>


<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="modalRef.getContentComponent().save()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'targerManager.button.btnSaveFile' | translate}}"></mb-button>
    <mb-button mbButtonAvailableStyle="BtnCancelHasBorder"
               mbButtonText="{{'targerManager.button.btnCancel' | translate}}" (click)="modalRef?.destroy()"
               class="flex-footer__uploadfile--button-left"></mb-button>
  </section>
</ng-template>

<ng-template #footerTmplShowModalConfirmSave>
  <section class="flex-footer__uploadfile">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="saveRecord()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.saveS' | translate}}"></mb-button>
    <mb-button mbButtonAvailableStyle="BtnCancelHasBorder"
               mbButtonText="{{'targerManager.button.btnCancel' | translate}}" (click)="modalRef?.destroy()"
               class="flex-footer__uploadfile--button-left"></mb-button>
  </section>
</ng-template>
